CREATE TABLE ce_recon_rulesets_ (
    RECON_RULESET_ID         NUMBER(18, 0) ,
    NEXT_RULE_ORDER          NUMBER(9, 0)  ,
    RULESET_NAME             VARCHAR2(400) ,
    DESCRIPTION              VARCHAR2(400) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    RECON_RULESET_ID         NUMBER(18, 0) ,
    NEXT_RULE_ORDER          NUMBER(9, 0)  ,
    RULESET_NAME             VARCHAR2(400) ,
    DESCRIPTION              VARCHAR2(400) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    CONSTRAINT pk_ce_recon_rulesets_ PRIMARY KEY (RECON_RULESET_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, RECON_RULESET_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
